{% extends '../base.html'%}
{% block main %}
{% load static %}
<div class="conatiner-all d-flex position-relative">
    {% include "./admin-aside.html" %}
    {% include "../components/quick_access.html" %}
    <div class="table-container">
        <p class="text-center fs-4 mt-3">Liste des e-mails envoyées</p>
        <table class="table">
            <thead>
                <tr style="font-size: 0.7rem">
                    <th scope="col">Sujet</th>
                    <th scope="col">De</th>
                    <th scope="col">À</th>
                    <th scope="col">Fait le</th>
                </tr>
            </thead>
            <tbody class="table-group-divider">
                {% for mail in mails %}
                <tr id="{{ mail.id }}" class="mb-1">
                    <td>
                        <a href="{% url 'one_mail' mail.id %}">
                            {{ mail.get_subject }}
                        </a>
                    </td>
                    <td>
                        {% if mail.sender == request.user %}
                            VOUS
                        {% else %}
                            {{ mail.sender.get_last_name }} {{ mail.sender.get_first_name }}
                        {% endif %}
                    </td>
                    <td>
                        {% if mail.receivers.count == 1 %}
                            {{ mail.receivers.first.email }}
                        {% else %}
                            {{ mail.receivers.count }} Destinataires
                        {% endif %}
                    </td>

                    <td>
                        {{mail.created_at}}
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
</div>
<script src="{% static 'assets/js/script.js' %}"></script>
{% endblock main%}